# \[v1] Runes Historical Prices

{% hint style="info" %}
We recommend switching to [\[v2\] Runes Historical Prices](/api/runes/v2-runes-historical-prices.md) to access data from more marketplaces
{% endhint %}

This endpoint provides the historical floor price for a specific rune and a given time period.

## GET /v1/runes/{runeId}/historical-floor-prices

> Get historical floor prices for Runes.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Ordinals"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/runes/{runeId}/historical-floor-prices":{"get":{"tags":["Ordinals","Runes"],"description":"Get historical floor prices for Runes.","parameters":[{"schema":{"type":"string"},"in":"query","name":"fromTimestamp","required":true,"description":"ISO timestamp - no older than 1 year ago (e.g. 2024-08-29T03:09:35.236Z)"},{"schema":{"type":"string"},"in":"query","name":"toTimestamp","required":false,"description":"ISO timestamp - up until now / not in the future"},{"schema":{"type":"string"},"in":"path","name":"runeId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"timestamp":{"type":"string"},"floorPrice":{"type":"object","properties":{"valueInSats":{"type":"number"},"valueInUsd":{"type":"string"}}}},"required":["timestamp","floorPrice"]}}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/runes/v1-runes-historical-prices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
